### Method

# SpiceClientGLib MainChannel request_mouse_mode

since: 0.35

#### Declaration [src]

    void
    spice_main_channel_request_mouse_mode (
      SpiceMainChannel* channel,
      int mode
    )

#### Description [src]

Request a mouse mode to the server. The server may not be able to change the mouse mode, but spice-gtk will try to request it when possible.

Available since: 0.35

#### Parameters

`mode`

  Type: `int`

  A SPICE_MOUSE_MODE.